Subject: Re: [PATCH/RFC] [v2] TCP: use non-delayed ACK for congestion control RTT

From: Gavin McCullagh <[email-masked]>
Date: Wed, 19 Dec 2007 10:28:35 +0000

Hi,

On Tue, 18 Dec 2007, Gavin McCullagh wrote:

> The last attempt didn't take account of the situation where a timestamp
> wasn't available and tcp_clean_rtx_queue() has to feed both the RTO and the
> congestion avoidance.  This updated patch stores both RTTs, making the
> delayed one available for the RTO and the other (ca_seq_rtt) available for
> congestion control.

I forgot to include some data to show the difference this can make to the
RTT signal:

	http://www.hamilton.ie/gavinmc/linux/tcp_clean_rtx_queue.html

Gavin